Show / Hide Table of Contents

# Struct RaptureShellModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Shell

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureShellModule

### Fields

| Improve this Doc View Source

#### MacroCurrentLine

##### Declaration

    public int MacroCurrentLine

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MacroLocked

##### Declaration

    public bool MacroLocked

##### Field Value

Type | Description
--- | ---
System.Boolean |

### Properties

| Improve this Doc View Source

#### Instance

##### Declaration

    public static readonly RaptureShellModule*Instance { get; }

##### Property Value

Type | Description
--- | ---
RaptureShellModule* |

### Methods

| Improve this Doc View Source

#### ExecuteMacro(RaptureMacroModule.Macro*)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? E9 ?? ?? ?? ?? 48 8D 4D 28")]
    public void ExecuteMacro(RaptureMacroModule.Macro*macro)

##### Parameters

Type | Name | Description
--- | --- | ---
RaptureMacroModule.Macro* | macro |